Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.template
Class PutListAttributeModel

    java.lang.Object
      org.apache.tiles.template.PutListAttributeModel

    public class PutListAttributeModel

extends java.lang.Object

Declare a list that will be pass as attribute to tile.

Declare a list that will be pass as attribute to tile. List elements are added using the tags 'addAttribute' or 'addListAttribute'. This tag can only be used inside 'insertTemplate', 'insertDefinition', 'definition' tags.

Since:
  2.2.0
Version:
  $Rev: 797765 $ $Date: 2009-07-25 15:20:26 +0200 (sab, 25 lug 2009) $

Constructor Summary
`PutListAttributeModel()`

Method Summary
`void` | `end(TilesContainer container, ArrayStack<java.lang.Object> composeStack, java.lang.String name, boolean cascade, java.lang.Object... requestItems)` Ends the operation.
`void` | `start(ArrayStack<java.lang.Object> composeStack, java.lang.String role, boolean inherit)` Starts the operation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PutListAttributeModel

    public PutListAttributeModel()

Method Detail

### start

    public void start(ArrayStack<java.lang.Object> composeStack,
                      java.lang.String role,
                      boolean inherit)

  Starts the operation.

  Parameters:
    `composeStack` - The composing stack.
    `role` - A comma-separated list of roles. If present, the attribute will be rendered only if the current user belongs to one of the roles.
    `inherit` - If `true` the list contained in the in the same attribute of the parent definition will be extended.
  Since:
    2.2.0

### end

    public void end(TilesContainer container,
                    ArrayStack<java.lang.Object> composeStack,
                    java.lang.String name,
                    boolean cascade,
                    java.lang.Object... requestItems)

  Ends the operation.

  Parameters:
    `container` - The Tiles container to use.
    `composeStack` - The composing stack.
    `name` - The name of the attribute to put.
    `cascade` - If `true` the attribute will be cascaded to all nested attributes.
    `requestItems` - The request objects.
  Since:
    2.2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.